<p-dataList [value]="gpus" [paginator]="true" [rows]="5"
            selectionMode="single">
  <p-header>
    Wybierz kartę graficzną
  </p-header>
  <ng-template let-gpu pTemplate="item">
    <div class="custom-table-row">
      <hr>
      <div class="ui-g ui-fluid gpu-item">
        <div class="ui-g-5 ui-md-3" style="text-align:center">
          <img *ngIf="gpu.image" [src]="gpu.image" alt="Logo" height="200" width="200">
        </div>
        <div class="ui-g-3 ui-md-7 gpu-details">
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Nazwa:</div>
            <div class="ui-g-3 ui-sm-2">{{gpu.nazwa}}</div>
            <div class="ui-g-3 ui-sm-2">Producent:</div>
            <div class="ui-g-3 ui-sm-2">{{gpu.producent}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Pamięć:</div>
            <div class="ui-g-3 ui-sm-2">{{gpu.pamiec}}</div>
            <div class="ui-g-3 ui-sm-2">Taktowanie:</div>
            <div class="ui-g-3 ui-sm-2">{{gpu.taktowanie}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Typ pamięci:</div>
            <div class="ui-g-3 ui-sm-2">{{gpu.typPamieci}}</div>
            <div class="ui-g-3 ui-sm-2">Typ złącza:</div>
            <div class="ui-g-3 ui-sm-2">{{gpu.typZlacza}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Cena:</div>
            <div class="ui-g-3 ui-sm-2">{{gpu.cena}}</div>
          </div>
        </div>
      </div>
      <button type="button" pButton icon="fa-plus" label="Dodaj" (click)="onAddPrimaryClick(gpu)"></button>
      <hr>
    </div>
  </ng-template>
</p-dataList>
<p-growl [(value)]="msgs"></p-growl>
